Zu Hauptinhalt wechseln

Dieser Browser wird nicht mehr unterstützt.

Führen Sie ein Upgrade auf Microsoft Edge durch, um die neuesten Features, Sicherheitsupdates und den technischen Support zu nutzen.

Microsoft Edge herunterladen Weitere Informationen zu Internet Explorer und Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Search memories

POST /memory_stores/{name}:search_memories

Searches the specified memory store for memories relevant to the provided conversation context.

Headerparameter

Foundry-Features enum Erforderlich

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Pfadparameter

name string Erforderlich

The name of the memory store to search.

Abfrageparameter

api-version string Erforderlich

The API version to use for this operation.

Anforderungstext

Content-Type: application/json
scope string Erforderlich

The namespace that logically groups and isolates memories, such as a user ID.

items OpenAI.InputItem[]

Items for which to search for relevant memories.

previous_search_id string

The unique ID of the previous search request, enabling incremental memory search from where the last operation left off.

options MemorySearchOptions

Memory search options.

max_memories integer

Maximum number of memory items to return.

Antworten

The request has succeeded.

Text

Content-Type: application/json
search_id string Erforderlich

The unique ID of this search request. Use this value as previous_search_id in subsequent requests to perform incremental searches.

memories MemorySearchItem[] Erforderlich

Related memory items found during the search operation.

usage MemoryStoreOperationUsage Erforderlich

Usage statistics of a memory store operation.

embedding_tokens integer Erforderlich

The number of embedding tokens.

input_tokens integer Erforderlich
input_tokens_details OpenAI.ResponseUsageInputTokensDetails Erforderlich
cached_tokens integer Erforderlich
cache_write_tokens integer Erforderlich
output_tokens integer Erforderlich
output_tokens_details OpenAI.ResponseUsageOutputTokensDetails Erforderlich
reasoning_tokens integer Erforderlich
total_tokens integer Erforderlich

Client error

Text

Content-Type: application/json
error OpenAI.Error Erforderlich
code string | null Erforderlich
message string Erforderlich
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Eines der folgenden Elemente:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string Erforderlich

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Text

Content-Type: application/json
error OpenAI.Error Erforderlich
code string | null Erforderlich
message string Erforderlich
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Eines der folgenden Elemente:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string Erforderlich

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Anfordern

POST /memory_stores/{name}:search_memories HTTP/1.1

Antwort

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
de-de
Ihre Datenschutzoptionen
  • KI-Haftungsausschluss
  • Frühere Versionen
  • Blog
  • Mitwirken
  • Datenschutz
  • Consumer Health Privacy
  • Nutzungsbedingungen
  • Impressum
  • Marken
  • © Microsoft 2026